#ifndef EWINDOWATTR_H
#define EWINDOWATTR_H

#include <QMenu>
#include <QAction>
#include <QListWidgetItem>
#include "eattr.h"
#include "ewindow.h"

namespace Ui {
class eObject;
class eWindowAttr;
}

class eWindowAttr : public eAttr
{
    Q_OBJECT

public:
    explicit eWindowAttr(eWindow::Data &data, QWidget *parent = nullptr);
    ~eWindowAttr();

public:
    void restoreItem(eObject *e);
    void flashOrder();

signals:
    void sRequestUpdate();

public slots:
    void onCreateElement(QAction *act);
    void onCurrentElementChanged(QListWidgetItem *cur, QListWidgetItem *last);
    void onDeleteElement();
    void onClearElements();
    void onGoUpElement();
    void onGoDownElement();
    void OnGeometryChanged(const QRectF & rt);
private:
    Ui::eWindowAttr *ui;
    eWindow::Data &m_attr;
    QRectF m_eWindowRect;
};

#endif // EWINDOWATTR_H
